List Pipelines

Hand off to an LLM

This endpoint has been deprecated and may be replaced or removed in future versions of the API.

Retrieves configurations for all existing pipelines.

GET
/v1-beta/pipelines
x-api-key<token>

Authenticate using API Key in request header

In: header

Query Parameters

limit?integer
Default50
Range1 <= value <= 100
startingAfter?string

A cursor to use in pagination. startingAfter is a pipeline ID that defines your place in the list. For example, if you make a list request and receive 50 objects, ending with pl_2c9AXIj48cUYJtCuv1gsQtHGDzK, your subsequent call can include startingAfter=pl_2c9AXIj48cUYJtCuv1gsQtHGDzK to fetch the next page of the list.

endingBefore?string

A cursor to use in pagination. endingBefore is a pipeline ID that defines your place in the list. For example, if you make a list request and receive 50 objects, starting with pl_2c9AXIj48cUYJtCuv1gsQtHGDzK, your subsequent call can include endingBefore=pl_2c9AXIj48cUYJtCuv1gsQtHGDzK to fetch the previous page of the list.

Response Body

application/json

curl -X GET "https://api.bem.ai/v1-beta/pipelines"
[
  {
    "pipelineID": "string",
    "name": "string",
    "outputSchema": {},
    "outputSchemaName": "string",
    "emailAddress": "string",
    "webhookEnabled": true,
    "webhookURL": "string",
    "tabularChunkingEnabled": true,
    "independentDocumentProcessingEnabled": true
  }
]
Empty
Empty
Empty

See also